/**
 * JS Document.
 * @author Sandro Jordão.
 */

/* **************************************** *
				GRAVAR SCRIPT
 * **************************************** */
function gravar() 
{
	var contarRegras = 0;
	var contarMapeamento = 0;
	
	// ABA - Script
	var descricaoScript = $("#txtDescricaoScript").val();
	var script = $("#txtScript").val();
	
	// ABA - Agendamento 
	var dataInicio = $("#txtDataInicio").val();
	var dataFinal = $("#txtDataFinal").val();
	var situacaoScript = $('input[name=rdoExecucao]:checked').val();
	
	var tipoRegra = new Array();
	$("input[name=regra]").each(function(){ tipoRegra.push($(this).val()); contarRegras++; });
	
	var horaRegra = new Array();
	$("input[name=hora]").each(function(){ horaRegra.push($(this).val()); });
	
	var mesRegra = new Array();
	$("input[name=mes]").each(function(){ mesRegra.push($(this).val()); });
	
	var semanaRegra = new Array();
	$("input[name=semana]").each(function(){ semanaRegra.push($(this).val()); });
	
	var poolingRegra = new Array();
	$("input[name=pooling]").each(function(){ poolingRegra.push($(this).val()); });
	
	var situacaoRegra = new Array();
	$("input[name=situacao]").each(function(){ situacaoRegra.push($(this).val()); });
	
	// ABA - Regras do Negócio
	var regraNegocio = $("#txtRegrasNegocio").val();
	
	// ABA - Mapeamento
	var indiceMapeamento = new Array();
	$(".checkbox_map").each(function(){ indiceMapeamento.push($(this).val()); contarMapeamento++; });
	
	var tipoMapeamento = new Array();
	$("input[name=tipoMap]").each(function(){ tipoMapeamento.push($(this).val()); });
	
	var descricaoMapeamento = new Array();
	$("input[name=descricaoMap]").each(function(){ descricaoMapeamento.push($(this).val()); });
	
	var identificadorMapeamento = new Array();
	$("input[name=identificadorMap]").each(function(){ identificadorMapeamento.push($(this).val()); });
	
	var conexaoMapeamento = new Array();
	$("input[name=conexaoMap]").each(function(){ conexaoMapeamento.push($(this).val()); });
	
	var tipoChaveMapeamento = new Array();
	$("input[name=tipoChaveMap]").each(function(){ tipoChaveMapeamento.push($(this).val()); });
	
	var tabelaMapeamento = new Array();
	$("input[name=tabelaMap]").each(function(){ tabelaMapeamento.push($(this).val()); });
	
	var campoChaveMapeamento = new Array();
	$("input[name=campoChaveMap]").each(function(){ campoChaveMapeamento.push($(this).val()); });
	
	var scriptCargaMapeamento = new Array();
	$("input[name=scriptCargaMap]").each(function(){ scriptCargaMapeamento.push($(this).val()); });
	
	var situacaoMapeamento = new Array();
	$("input[name=situacaoMap]").each(function(){ situacaoMapeamento.push($(this).val()); });
	
	var ultimaDataMapeamento = new Array();
	$("input[name=ultimaDataMap]").each(function(){ ultimaDataMapeamento.push($(this).val()); });
	
	var ultimoCodigoMapeamento = new Array();
	$("input[name=ultimoCodigoMap]").each(function(){ ultimoCodigoMapeamento.push($(this).val()); });

	/* Mapeamentos SQL */
	var indiceMapSqlArray = new Array();
	var scriptMapSqlArray = new Array();
	var sequenciaMapSqlArray = new Array();
	var situacaoMapSqlArray = new Array();
	$(".checkbox_map").each(function(){ 
		var indice = $(this).val();

		$("#spanMapSql" + indice + " input[name=scriptMapSql]").each(function(){ 
			scriptMapSqlArray.push($(this).val()); 
			indiceMapSqlArray.push(indice);
		});
		
		$("#spanMapSql" + indice + " input[name=sequenciaMapSql]").each(function(){ 
			sequenciaMapSqlArray.push($(this).val()); 
		});
		
		$("#spanMapSql" + indice + " input[name=situacaoMapSql]").each(function(){ 
			situacaoMapSqlArray.push($(this).val()); 
		});
	});
	
	/* * VALIDAÇÃO DOS DADOS * */
	$('*').removeClass('colorErro');
	var erro = 0;
	var msg = '';
	
	if(descricaoScript == '')
	{
		$("label[for=txtDescricaoScript]").addClass('colorErro');
		msg += '\n - Obrigatório informar a <em>Descrição do Script</em>.';
		erro++;
	}
	
	if(script == '')
	{
		$("label[for=txtScript]").addClass('colorErro');
		msg += '\n - Obrigatório informar o <em>Script C#</em>.';
		erro++;
	}
	
	if(dataInicio == '')
	{
		$("label[for=txtDataInicio]").addClass('colorErro');
		msg += '\n - Obrigatório informar a <em>Data Inicial</em>.';
		erro++;
	}
	
	if(contarRegras == 0)
	{
		$("label[for=tipoRegra]").addClass('colorErro');
		msg += '\n - Obrigatório adicionar pelo menos uma <em>regra</em>.';
		erro++;
	}
	
	if(contarMapeamento == 0)
	{
		$("label[for=tipoRegra]").addClass('colorErro');
		msg += '\n - Obrigatório adicionar pelo menos um <em>mapeamento</em>.';
		erro++;
	}
	
	if(erro == 0)
	{
		$("#pesquisando").fadeIn('fast');
		
		$.post(basepath + "scripts/gravarScript", {
			descricaoScript : descricaoScript,
			script: script,
			dataInicio : dataInicio,
			dataFinal : dataFinal,
			situacaoScript : situacaoScript,
			'tipoRegra[]' : tipoRegra,
			'horaRegra[]' : horaRegra,
			'mesRegra[]' : mesRegra,
			'semanaRegra[]' : semanaRegra,
			'poolingRegra[]' : poolingRegra,
			'situacaoRegra[]' : situacaoRegra,
			regraNegocio : regraNegocio,
			'indiceMapeamento[]' : indiceMapeamento,
			'tipoMapeamento[]' : tipoMapeamento,
			'descricaoMapeamento[]' : descricaoMapeamento,
			'identificadorMapeamento[]' : identificadorMapeamento,
			'conexaoMapeamento[]' : conexaoMapeamento,
			'tipoChaveMapeamento[]' : tipoChaveMapeamento,
			'tabelaMapeamento[]' : tabelaMapeamento,
			'campoChaveMapeamento[]' : campoChaveMapeamento,
			'scriptCargaMapeamento[]' : scriptCargaMapeamento,
			'situacaoMapeamento[]' : situacaoMapeamento,
			'indiceMapSqlArray[]' : indiceMapSqlArray,
			'scriptMapSqlArray[]' : scriptMapSqlArray,
			'sequenciaMapSqlArray[]' : sequenciaMapSqlArray,
			'situacaoMapSqlArray[]' : situacaoMapSqlArray,
			'ultimaDataMapeamento[]' : ultimaDataMapeamento,
			'ultimoCodigoMapeamento[]' : ultimoCodigoMapeamento
		}, function(data){
			if(data == 1)
			{
				jAlert('O Script foi cadastrado com sucesso!', 'Alerta!', function() { window.location.href = basepath + 'scripts/listarscripts'; });
			}
			else
			{
				jAlert('Ocorreu um erro:\n ' + data, 'Alerta!', function() { $("#pesquisando").hide(); return false; });
			}
		});
	}
	else
	{
		jAlert('Favor informar todos os campos corretamente:\n' + msg, 'Alerta!');
	}
}

/* **************************************** *
				ALTERAR SCRIPT
 * **************************************** */
function alterarBD()
{
	var contarRegras = 0;
	var contarMapeamento = 0;
	
	// ABA - Script
	var scriptID = $("#txtScriptID").val();
	var descricaoScript = $("#txtDescricaoScript").val();
	var script = $("#txtScript").val();
	
	// ABA - Agendamento 
	var dataInicio = $("#txtDataInicio").val();
	var dataFinal = $("#txtDataFinal").val();
	var situacaoScript = $('input[name=rdoExecucao]:checked').val();
	
	var tipoRegra = new Array();
	$("input[name=regra]").each(function(){ tipoRegra.push($(this).val()); contarRegras++; });
	
	var codigoRegra = new Array();
	$("input[name=codigoRegra]").each(function(){ codigoRegra.push($(this).val()); });
	
	var horaRegra = new Array();
	$("input[name=hora]").each(function(){ horaRegra.push($(this).val()); });
	
	var mesRegra = new Array();
	$("input[name=mes]").each(function(){ mesRegra.push($(this).val()); });
	
	var semanaRegra = new Array();
	$("input[name=semana]").each(function(){ semanaRegra.push($(this).val()); });
	
	var poolingRegra = new Array();
	$("input[name=pooling]").each(function(){ poolingRegra.push($(this).val()); });
	
	var situacaoRegra = new Array();
	$("input[name=situacao]").each(function(){ situacaoRegra.push($(this).val()); });
	
	// ABA - Regras do Negócio
	var regraNegocio = $("#txtRegrasNegocio").val();
	
	// ABA - Mapeamento
	var indiceMapeamento = new Array();
	$(".checkbox_map").each(function(){ indiceMapeamento.push($(this).val()); contarMapeamento++; });
	
	var tipoMapeamento = new Array();
	$("input[name=tipoMap]").each(function(){ tipoMapeamento.push($(this).val()); });
	
	var descricaoMapeamento = new Array();
	$("input[name=descricaoMap]").each(function(){ descricaoMapeamento.push($(this).val()); });
	
	var identificadorMapeamento = new Array();
	$("input[name=identificadorMap]").each(function(){ identificadorMapeamento.push($(this).val()); });
	
	var conexaoMapeamento = new Array();
	$("input[name=conexaoMap]").each(function(){ conexaoMapeamento.push($(this).val()); });
	
	var tipoChaveMapeamento = new Array();
	$("input[name=tipoChaveMap]").each(function(){ tipoChaveMapeamento.push($(this).val()); });
	
	var tabelaMapeamento = new Array();
	$("input[name=tabelaMap]").each(function(){ tabelaMapeamento.push($(this).val()); });
	
	var campoChaveMapeamento = new Array();
	$("input[name=campoChaveMap]").each(function(){ campoChaveMapeamento.push($(this).val()); });
	
	var scriptCargaMapeamento = new Array();
	$("input[name=scriptCargaMap]").each(function(){ scriptCargaMapeamento.push($(this).val()); });
	
	var situacaoMapeamento = new Array();
	$("input[name=situacaoMap]").each(function(){ situacaoMapeamento.push($(this).val()); });
	
	var ultimaDataMapeamento = new Array();
	$("input[name=ultimaDataMap]").each(function(){ ultimaDataMapeamento.push($(this).val()); });
	
	var ultimoCodigoMapeamento = new Array();
	$("input[name=ultimoCodigoMap]").each(function(){ ultimoCodigoMapeamento.push($(this).val()); });

	/* Mapeamentos SQL */
	var indiceMapSqlArray = new Array();
	var scriptMapSqlArray = new Array();
	var sequenciaMapSqlArray = new Array();
	var situacaoMapSqlArray = new Array();
	$(".checkbox_map").each(function(){ 
		var indice = $(this).val();

		$("#spanMapSql" + indice + " input[name=scriptMapSql]").each(function(){ 
			scriptMapSqlArray.push($(this).val()); 
			indiceMapSqlArray.push(indice);
		});
		
		$("#spanMapSql" + indice + " input[name=sequenciaMapSql]").each(function(){ 
			sequenciaMapSqlArray.push($(this).val()); 
		});
		
		$("#spanMapSql" + indice + " input[name=situacaoMapSql]").each(function(){ 
			situacaoMapSqlArray.push($(this).val()); 
		});
	});
	
	/* * VALIDAÇÃO DOS DADOS * */
	$('*').removeClass('colorErro');
	var erro = 0;
	var msg = '';
	
	if(descricaoScript == '')
	{
		$("label[for=txtDescricaoScript]").addClass('colorErro');
		msg += '\n - Obrigatório informar a <em>Descrição do Script</em>.';
		erro++;
	}
	
	if(script == '')
	{
		$("label[for=txtScript]").addClass('colorErro');
		msg += '\n - Obrigatório informar o <em>Script C#</em>.';
		erro++;
	}
	
	if(dataInicio == '')
	{
		$("label[for=txtDataInicio]").addClass('colorErro');
		msg += '\n - Obrigatório informar a <em>Data Inicial</em>.';
		erro++;
	}
	
	if(contarRegras == 0)
	{
		$("label[for=tipoRegra]").addClass('colorErro');
		msg += '\n - Obrigatório adicionar pelo menos uma <em>regra</em>.';
		erro++;
	}
	
	if(contarMapeamento == 0)
	{
		$("label[for=tipoRegra]").addClass('colorErro');
		msg += '\n - Obrigatório adicionar pelo menos um <em>mapeamento</em>.';
		erro++;
	}
	
	if(erro == 0)
	{
		$("#pesquisando").fadeIn('fast');
		
		$.post(basepath + "scripts/updateScript", {
			scriptID : scriptID,
			descricaoScript : descricaoScript,
			script: script,
			dataInicio : dataInicio,
			dataFinal : dataFinal,
			situacaoScript : situacaoScript,
			'codigoRegra[]' : codigoRegra,
			'tipoRegra[]' : tipoRegra,
			'horaRegra[]' : horaRegra,
			'mesRegra[]' : mesRegra,
			'semanaRegra[]' : semanaRegra,
			'poolingRegra[]' : poolingRegra,
			'situacaoRegra[]' : situacaoRegra,
			regraNegocio : regraNegocio,
			'indiceMapeamento[]' : indiceMapeamento,
			'tipoMapeamento[]' : tipoMapeamento,
			'descricaoMapeamento[]' : descricaoMapeamento,
			'identificadorMapeamento[]' : identificadorMapeamento,
			'conexaoMapeamento[]' : conexaoMapeamento,
			'tipoChaveMapeamento[]' : tipoChaveMapeamento,
			'tabelaMapeamento[]' : tabelaMapeamento,
			'campoChaveMapeamento[]' : campoChaveMapeamento,
			'scriptCargaMapeamento[]' : scriptCargaMapeamento,
			'situacaoMapeamento[]' : situacaoMapeamento,
			'indiceMapSqlArray[]' : indiceMapSqlArray,
			'scriptMapSqlArray[]' : scriptMapSqlArray,
			'sequenciaMapSqlArray[]' : sequenciaMapSqlArray,
			'situacaoMapSqlArray[]' : situacaoMapSqlArray,
			'ultimaDataMapeamento[]' : ultimaDataMapeamento,
			'ultimoCodigoMapeamento[]' : ultimoCodigoMapeamento
		}, function(data){
			if(data == 1)
			{
				jAlert('O Script foi alterado com sucesso!', 'Alerta!', function() { window.location.href = basepath + 'scripts/listarscripts'; });
			}
			else
			{
				jAlert('Ocorreu um erro:\n ' + data, 'Alerta!', function() { $("#pesquisando").hide(); return false; });
			}
		});
	}
	else
	{
		jAlert('Favor informar todos os campos corretamente:\n' + msg, 'Alerta!');
	}
}

 
/* **************************************** *
				MAPEAMENTO SQL
 * **************************************** */
function adicionarMapeamentoSql()
{
	$.post(basepath + "scripts/adicionarMapeamentoSql",
		function(data){
	
			$("#janela_modal_mapeamento_sql").remove();
			$("#overlay_mapeamento_sql").remove();
			
			var overlay = '<div id="overlay_mapeamento_sql"></div>';
			var overlayCSS = {'width' : pageWidth + 'px','height' : pageHeight + 'px', 'z-index' : '52'};
			
			var janela = '<div id="janela_modal_mapeamento_sql"></div>';
			var janelaCSS = {'top' : '40%','left' : '50%','width' : '580px','height' : '450px','margin-left' : '-290px','margin-top' : '-225px', 'padding' : '15px 10px 10px 15px', 'z-index' : '53'};
			
			var btnFechar = '<a onClick="fecharMapeamentoSql()"><img id="btnFecharMapeamentoSql" src="' + basepath + 'www/imagem/close.png" alt="Fechar" title="fechar" /></a>';
			var btnFecharCSS = {'position' : 'absolute','top' : '0%','left' : '100%','cursor' : 'pointer','margin-left' : '-35px','margin-top' : '5px'}
			
			var btnCancelar = '<input type="image" id="btn_cancelar_mapeamento_sql" name="btn_cancelar_mapeamento_sql" src="' + basepath + 'www/imagem/btn_cancelar.png" onClick="fecharMapeamentoSql()" />';
			var btnCancelaCSS = {'position' : 'absolute','top' : '100%','left' : '100%','margin-left' : '-240px','margin-top' : '-43px','width' : '100px'}
			
			var btnOK = '<input type="image" id="btn_enviar_mapeamento_sql" name="btn_enviar_mapeamento_sql" src="' + basepath + 'www/imagem/btn_ok.png" onClick="adicionarHtmlMapeamentoSql()" />';
			var btnOKCSS = {'position' : 'absolute','top' : '100%','left' : '100%','margin-left' : '-120px','margin-top' : '-43px','width' : '100px'}
			
			$("body").append(overlay);
			$("body").append(janela);
			$("#overlay_mapeamento_sql").css(overlayCSS).fadeIn('fast', function(){
				
				$("#janela_modal_mapeamento_sql").append(data);
				
				$("#janela_modal_mapeamento_sql").append(btnFechar);
				$("#btnFecharMapeamentoSql").css(btnFecharCSS).fadeIn("slow");
				
				$("#janela_modal_mapeamento_sql").append(btnCancelar);
				$("#btn_cancelar_mapeamento_sql").css(btnCancelaCSS);
				
				$("#janela_modal_mapeamento_sql").append(btnOK);
				$("#btn_enviar_mapeamento_sql").css(btnOKCSS);
				
				$("#janela_modal_mapeamento_sql").css(janelaCSS).fadeIn("slow");
			});
			
			return false;
			
		});
}

function editarMapeamentoSql()
{
	var mapIndice = $(".checkbox_map_sql:checked").val();
	var script 	  = $("#scriptMapSql"+ mapIndice).val();
	var sequencia = $("#sequenciaMapSql"+ mapIndice).val();
	var situacao  = $("#situacaoMapSql"+ mapIndice).val();
	
	$.post(basepath + "scripts/adicionarMapeamentoSql",
		function(data){
	
			$("#janela_modal_mapeamento_sql").remove();
			$("#overlay_mapeamento_sql").remove();
			
			var overlay = '<div id="overlay_mapeamento_sql"></div>';
			var overlayCSS = {'width' : pageWidth + 'px','height' : pageHeight + 'px', 'z-index' : '52'};
			
			var janela = '<div id="janela_modal_mapeamento_sql"></div>';
			var janelaCSS = {'top' : '40%','left' : '50%','width' : '580px','height' : '450px','margin-left' : '-290px','margin-top' : '-225px', 'padding' : '15px 10px 10px 15px', 'z-index' : '53'};
			
			var btnFechar = '<a onClick="fecharMapeamentoSql()"><img id="btnFecharMapeamentoSql" src="' + basepath + 'www/imagem/close.png" alt="Fechar" title="fechar" /></a>';
			var btnFecharCSS = {'position' : 'absolute','top' : '0%','left' : '100%','cursor' : 'pointer','margin-left' : '-35px','margin-top' : '5px'}
			
			var btnCancelar = '<input type="image" id="btn_cancelar_mapeamento_sql" name="btn_cancelar_mapeamento_sql" src="' + basepath + 'www/imagem/btn_cancelar.png" onClick="fecharMapeamentoSql()" />';
			var btnCancelaCSS = {'position' : 'absolute','top' : '100%','left' : '100%','margin-left' : '-240px','margin-top' : '-43px','width' : '100px'}
			
			var btnOK = '<input type="image" id="btn_enviar_mapeamento_sql" name="btn_enviar_mapeamento_sql" src="' + basepath + 'www/imagem/btn_alterar.png" onClick="editarHtmlMapeamentoSql('+ mapIndice +')" />';
			var btnOKCSS = {'position' : 'absolute','top' : '100%','left' : '100%','margin-left' : '-120px','margin-top' : '-43px','width' : '100px'}
			
			$("body").append(overlay);
			$("body").append(janela);
			$("#overlay_mapeamento_sql").css(overlayCSS).fadeIn('fast', function(){
				
				$("#janela_modal_mapeamento_sql").append(data);
				
				$("#janela_modal_mapeamento_sql").append(btnFechar);
				$("#btnFecharMapeamentoSql").css(btnFecharCSS).fadeIn("slow");
				
				$("#janela_modal_mapeamento_sql").append(btnCancelar);
				$("#btn_cancelar_mapeamento_sql").css(btnCancelaCSS);
				
				$("#janela_modal_mapeamento_sql").append(btnOK);
				$("#btn_enviar_mapeamento_sql").css(btnOKCSS);
				
				$("#h2MapSql").html('Alterar Mapeamento SQL');
				
				$("#scriptMapSql").val(script);
				
				$("#sequenciaMapSql").val(sequencia);
				
				if(situacao == 'F')
					$("#rdoAtivoSqlT").attr("checked", true);
				else
					$("#rdoAtivoSqlF").attr("checked", true);
				
				$("#janela_modal_mapeamento_sql").css(janelaCSS).fadeIn("slow");	
			});
			
			return false;
			
		});
}

var countMapSql = 0;
function adicionarHtmlMapeamentoSql()
{
	var erro = 0;
	
	var txt = '';
	
	var script 		= $("#scriptMapSql").val();
	var sequencia 	= $("#sequenciaMapSql").val();
	var situacao 	= $('input[name=rdoAtivoSql]:checked').val();
	
	if($.trim(script) == '') 
	{
		erro++;
	}
	else
	{
		txt += script.substring(0, 30) + '...'
	}
		
	if($.trim(sequencia) == '')
	{
		sequencia = (countMapSql + 1);
	}
	
	txt += ' - Sequência: <b>' + sequencia + '</b>';
	
	if(erro == 0)
	{
		txt += (situacao == 'F') ? ' - <span style="color: #2b8300"><b>Ativo</b></span>.' : ' - <span style="color: #a6002f"><b>Inativo</b></span>.';
		
		var html = '';
		
		html += '<tr id="trMapSql_'+ countMapSql +'">'; 
			html += '<td height="25" width="28px" align="center" valign="middle">';
				html += '<input type="checkbox" class="checkbox_map_sql"' + 'name="checkbox_map_sql_' + countMapSql + '" id="checkbox_map_sql_' + countMapSql + '" value="' + countMapSql + '">';
			html += '</td>';
			html += '<td height="25" align="left" valign="middle">';
				html += '<label for="checkbox_map_sql_'+ countMapSql +'">'+ txt +'</label>';
				html += '<span class="spansMapSql">';
					html += '<input type="hidden" id="scriptMapSql'+ countMapSql +'" name="scriptMapSql" value="'+ script +'">';
					html += '<input type="hidden" id="sequenciaMapSql'+ countMapSql +'" name="sequenciaMapSql" value="'+ sequencia +'">';
					html += '<input type="hidden" id="situacaoMapSql'+ countMapSql +'" name="situacaoMapSql" value="'+ situacao +'">';
				html += '</span>';
			html += '</td>';
		html += '</tr>';
		
		$(".usersListMapSql table tbody").append(html);
		
		countMapSql++;
		
		fecharMapeamentoSql();
		
		$(".tbUsersListMapSql").click(acaoBotaoMapeamentoSql);
	}
	else
	{
		return false;
	}
}

function editarHtmlMapeamentoSql(indice)
{
	var erro = 0;
	
	var txt = '';
	
	var script 		= $("#scriptMapSql").val();
	var sequencia 	= $("#sequenciaMapSql").val();
	var situacao 	= $('input[name=rdoAtivoSql]:checked').val();
	
	if($.trim(script) == '') 
	{
		erro++;
	}
	else
	{
		txt += script.substring(0, 30) + '...'
	}
	
	txt += ' - Sequência: <b>' + sequencia + '</b>';
	
	if(erro == 0)
	{
		txt += (situacao == 'F') ? ' - <span style="color: #2b8300"><b>Ativo</b></span>.' : ' - <span style="color: #a6002f"><b>Inativo</b></span>.';
		
		var html = '';
		
		html += '<td height="25" width="28px" align="center" valign="middle">';
			html += '<input type="checkbox" class="checkbox_map_sql"' + 'name="checkbox_map_sql_' + indice + '" id="checkbox_map_sql_' + indice + '" value="' + indice + '">';
		html += '</td>';
		html += '<td height="25" align="left" valign="middle">';
			html += '<label for="checkbox_map_sql_'+ indice +'">'+ txt +'</label>';
			html += '<span class="spansMapSql">';
				html += '<input type="hidden" id="scriptMapSql'+ indice +'" name="scriptMapSql" value="'+ script +'">';
				html += '<input type="hidden" id="sequenciaMapSql'+ indice +'" name="sequenciaMapSql" value="'+ sequencia +'">';
				html += '<input type="hidden" id="situacaoMapSql'+ indice +'" name="situacaoMapSql" value="'+ situacao +'">';
			html += '</span>';
		html += '</td>';
		
		$("#trMapSql_"+ indice).html(html);
		
		fecharMapeamentoSql();
		
		acaoBotaoMapeamentoSql();
	}
	else
	{
		return false;
	}
}

function acaoBotaoMapeamentoSql()
{
	var checar = 0;
	$(".checkbox_map_sql:checked").each(function(){ checar++; });
	
    if(checar == 0)
    {
		$("#btnEditarMapSql").attr("disabled", true);
		
		$("#btnRemoverMapSql").attr("disabled", true);
    }
	else
	{
		$("#btnRemoverMapSql").removeAttr("disabled");
	}
    
    if(checar > 1)
    {
		$("#btnEditarMapSql").attr("disabled", true);
    }
	else if(checar < 2)
    {
		$("#btnEditarMapSql").removeAttr("disabled");
    }
    
    if (! $(".checkbox_map_sql").is(':checked'))
    {
        $("#btnEditarMapSql").attr("disabled", true);
    }
}

function removerMapeamentoSql()
{
	var count = 0;
	$(".checkbox_map_sql:checked").each(function(){ count++ });
	
	if(count > 1)
	{
		var msg = 'Deseja realmente remover o Mapeamento SQL?';
	}
	else
	{
		var msg = 'Deseja realmente remover os Mapeamentos SQL?';
	}
	
	jConfirm(msg, 'Confirmação', function(r) {
        if (r == true)
        {
			$(".checkbox_map_sql:checked").each(function(){ $("#trMapSql_" + $(this).val()).remove(); });
			
			acaoBotaoMapeamentoSql();
        }
		else
		{
			return false;
		}
    });	
}

function fecharMapeamentoSql() 
{
    $("#janela_modal_mapeamento_sql").fadeOut();
    $("#overlay_mapeamento_sql").fadeOut();
}
/* **************************************** *
			FIM MAPEAMENTO SQL
 * **************************************** */

 
 
 
/* **************************************** *
				MAPEAMENTO
 * **************************************** */
function adicionarMapeamento()
{
	$.post(basepath + "scripts/adicionarMapeamento",
		function(data){
	
			$("#janela_modal_mapeamento").remove();
			$("#overlay_mapeamento").remove();
			
			var overlay = '<div id="overlay_mapeamento"></div>';
			var overlayCSS = {'width' : pageWidth + 'px','height' : pageHeight + 'px', 'z-index' : '50'};
			
			var janela = '<div id="janela_modal_mapeamento"></div>';
			var janelaCSS = {'top' : '40%','left' : '50%','width' : '700px','height' : '560px','margin-left' : '-350px','margin-top' : '-275px', 'padding' : '15px 10px 10px 15px', 'z-index' : '51'};
			
			var btnFechar = '<a onClick="fecharMapeamento()"><img id="btnFecharMapeamento" src="' + basepath + 'www/imagem/close.png" alt="Fechar" title="fechar" /></a>';
			var btnFecharCSS = {'position' : 'absolute','top' : '50%','left' : '50%','cursor' : 'pointer','margin-left' : '325px','margin-top' : '-280px'}
			
			var btnCancelar = '<input type="image" id="btn_cancelar_mapeamento" name="btn_cancelar_mapeamento" src="' + basepath + 'www/imagem/btn_cancelar.png" onClick="fecharMapeamento()" />';
			var btnCancelaCSS = {'position' : 'absolute','top' : '100%','left' : '100%','margin-left' : '-240px','margin-top' : '-40px','width' : '100px'}
			
			var btnOK = '<input type="image" id="btn_enviar_mapeamento" name="btn_enviar_mapeamento" src="' + basepath + 'www/imagem/btn_ok.png" onClick="adicionarHtmlMapeamento()" />';
			var btnOKCSS = {'position' : 'absolute','top' : '100%','left' : '100%','margin-left' : '-120px','margin-top' : '-40px','width' : '100px'}
			
			$("body").append(overlay);
			$("body").append(janela);
			$("#overlay_mapeamento").css(overlayCSS).fadeIn('fast', function(){
				
				$("#janela_modal_mapeamento").append(data);
				
				$("#janela_modal_mapeamento").append(btnFechar);
				$("#btnFecharMapeamento").css(btnFecharCSS).fadeIn("slow");
				
				$("#janela_modal_mapeamento").append(btnCancelar);
				$("#btn_cancelar_mapeamento").css(btnCancelaCSS);
				
				$("#janela_modal_mapeamento").append(btnOK);
				$("#btn_enviar_mapeamento").css(btnOKCSS);
				
				$("#janela_modal_mapeamento").css(janelaCSS).fadeIn("slow");
				
				tabsMap = $(".tabsMap").children('ul').children();
				divsMap = $(".tabsMap").children('div');
				$(".abaTrocarMap").click(trocarMap);
				
				$('#ultimaData').mask("99/99/9999 99:99:99.999");
			});
			
			return false;
			
		});
}

function editarMapeamento()
{
	var indice 			 = $(".checkbox_map:checked").val();
	var tipoMap 		 = $("#tipoMap"+ indice).val();
	var descricaoMap 	 = $("#descricaoMap"+ indice).val();
	var identificadorMap = $("#identificadorMap"+ indice).val();
	var conexaoMap 		 = $("#conexaoMap"+ indice).val();
	var tipoChaveMap 	 = $("#tipoChaveMap"+ indice).val();
	var tabelaMap 		 = $("#tabelaMap"+ indice).val();
	var campoChaveMap 	 = $("#campoChaveMap"+ indice).val();
	var scriptCargaMap 	 = $("#scriptCargaMap"+ indice).val();
	var ultimaDataMap 	 = $("#ultimaDataMap"+ indice).val();
	var ultimoCodigoMap	 = $("#ultimoCodigoMap"+ indice).val();
	var situacaoMap		 = $("#situacaoMap"+ indice).val();
	
	var scriptMapSqlArray = new Array();
	var sequenciaMapSqlArray = new Array();
	var situacaoMapSqlArray = new Array();	
	$("#spanMapSql" + indice + " input[name=scriptMapSql]").each(function(){ scriptMapSqlArray.push($(this).val()); });
	$("#spanMapSql" + indice + " input[name=sequenciaMapSql]").each(function(){ sequenciaMapSqlArray.push($(this).val()); });
	$("#spanMapSql" + indice + " input[name=situacaoMapSql]").each(function(){ situacaoMapSqlArray.push($(this).val()); });
	
	$.post(basepath + "scripts/adicionarMapeamento",
		function(data){
	
			$("#janela_modal_mapeamento").remove();
			$("#overlay_mapeamento").remove();
			
			var overlay = '<div id="overlay_mapeamento"></div>';
			var overlayCSS = {'width' : pageWidth + 'px','height' : pageHeight + 'px', 'z-index' : '50'};
			
			var janela = '<div id="janela_modal_mapeamento"></div>';
			var janelaCSS = {'top' : '40%','left' : '50%','width' : '700px','height' : '560px','margin-left' : '-350px','margin-top' : '-275px', 'padding' : '15px 10px 10px 15px', 'z-index' : '51'};
			
			var btnFechar = '<a onClick="fecharMapeamento()"><img id="btnFecharMapeamento" src="' + basepath + 'www/imagem/close.png" alt="Fechar" title="fechar" /></a>';
			var btnFecharCSS = {'position' : 'absolute','top' : '50%','left' : '50%','cursor' : 'pointer','margin-left' : '325px','margin-top' : '-280px'}
			
			var btnCancelar = '<input type="image" id="btn_cancelar_mapeamento" name="btn_cancelar_mapeamento" src="' + basepath + 'www/imagem/btn_cancelar.png" onClick="fecharMapeamento()" />';
			var btnCancelaCSS = {'position' : 'absolute','top' : '100%','left' : '100%','margin-left' : '-240px','margin-top' : '-40px','width' : '100px'}
			
			var btnOK = '<input type="image" id="btn_enviar_mapeamento" name="btn_enviar_mapeamento" src="' + basepath + 'www/imagem/btn_ok.png" onClick="editarHtmlMapeamento('+ indice +')" />';
			var btnOKCSS = {'position' : 'absolute','top' : '100%','left' : '100%','margin-left' : '-120px','margin-top' : '-40px','width' : '100px'}
			
			$("body").append(overlay);
			$("body").append(janela);
			$("#overlay_mapeamento").css(overlayCSS).fadeIn('slow', function(){
				
				$("#janela_modal_mapeamento").append(data);
				
				$("#janela_modal_mapeamento").append(btnFechar);
				$("#btnFecharMapeamento").css(btnFecharCSS).fadeIn("slow");
				
				$("#janela_modal_mapeamento").append(btnCancelar);
				$("#btn_cancelar_mapeamento").css(btnCancelaCSS);
				
				$("#janela_modal_mapeamento").append(btnOK);
				$("#btn_enviar_mapeamento").css(btnOKCSS);
				
				// Tipo
				if(tipoMap == 'T')
					$("#rdoEntradaT").attr("checked", true);
				else
					$("#rdoEntradaF").attr("checked", true);
					
				// Descricao
				$("#descricaoMap").val(descricaoMap);
				
				// Identificador
				$("#identificadorMap").val(identificadorMap);
				
				// Conexao
				$("#conexaoMap").val(conexaoMap);
				
				// Tipo Chave
				$("#tipoChaveMap").val(tipoChaveMap);
				mostrarEntrada();
				mostrarUltimo();
				
				// Tabela
				$("#tabelaMap").val(tabelaMap);
				
				// Campo Chave
				$("#campoChaveMap").val(campoChaveMap);

				// Script Carga
				$("#scriptCargaMap").val(scriptCargaMap);
				
				// Ultima Data
				$("#ultimaData").val(ultimaDataMap);
				$('#ultimaData').mask("99/99/9999 99:99:99.999");
				
				// Ultimo Codigo
				$("#ultimoCodigo").val(ultimoCodigoMap);
				
				// Situacao
				if(situacaoMap == 'F')
					$("#rdoMapeamentoAtivoF").attr("checked", true);
				else
					$("#rdoMapeamentoAtivoT").attr("checked", true);

				$("#janela_modal_mapeamento").css(janelaCSS).fadeIn("slow", function(){
					// Mapeamentos SQL
					inserirHtmlMapeamentoSql(scriptMapSqlArray, sequenciaMapSqlArray, situacaoMapSqlArray);
				});
				
				tabsMap = $(".tabsMap").children('ul').children();
				divsMap = $(".tabsMap").children('div');
				$(".abaTrocarMap").click(trocarMap);
			});
			
			return false;
			
		});
}

var countMap = 0;
function adicionarHtmlMapeamento()
{
	var erro = 0;
	
	var txt = ''; 
	
	var htmlMapSql = '';
	
	$(".spansMapSql").each(function(){ htmlMapSql += $(this).html(); });
	
	var tipo 			= $('input[name=rdoEntrada]:checked').val();
	var descricao 		= $('#descricaoMap').val();
	var identificador 	= $('#identificadorMap').val();
	var conexao 		= $('#conexaoMap').val();
	var tipoChave 		= $('#tipoChaveMap').val();
	var tabela 			= $('#tabelaMap').val();
	var campoChave 		= $('#campoChaveMap').val();
	var scriptCarga		= $('#scriptCargaMap').val();
	var ultimaData 		= $('#ultimaData').val();
	var ultimoCodigo	= $('#ultimoCodigo').val();
	var situacao		= $('input[name=rdoMapeamentoAtivo]:checked').val();
	
	if($.trim(descricao) == '')
	{
		erro++;
	}
	else
	{
		txt += 'Descrição: <b>' + descricao.substring(0, 50) + '...</b>';
	}
	
	if($.trim(descricao) == '')
	{
		erro++;
	}
	else
	{
		txt += ' - Identificador: <b>' + identificador + '</b>';
	}
	
	if($.trim(conexao) == '')
	{
		erro++;
	}
	
	txt += (tipo == 'T') ? ' - Tipo de Mapeamento: <b>Entrada</b>' : ' - Tipo de Mapeamento: <b>Saída</b>';
	
	txt += (situacao == 'F') ? ' - <span style="color: #2b8300"><b>Ativo</b></span>.' : ' - <span style="color: #a6002f"><b>Inativo</b></span>.';
	
	if (erro == 0)
    {
		var html = '';
		
		html += '<tr id="trMap_'+ countMap +'">'; 
			html += '<td height="25" width="28px" align="center" valign="middle">';
				html += '<input type="checkbox" class="checkbox_map"' + 'name="checkbox_map_' + countMap + '" id="checkbox_map_' + countMap + '" value="' + countMap + '">';
			html += '</td>';
			html += '<td height="25" align="left" valign="middle">';
				html += '<label for="checkbox_map_'+ countMap +'">'+ txt +'</label>';
				html += '<input type="hidden" id="tipoMap'+ countMap +'" name="tipoMap" value="'+ tipo +'">';
				html += '<input type="hidden" id="descricaoMap'+ countMap +'" name="descricaoMap" value="'+ descricao +'">';
				html += '<input type="hidden" id="identificadorMap'+ countMap +'" name="identificadorMap" value="'+ identificador +'">';
				html += '<input type="hidden" id="conexaoMap'+ countMap +'" name="conexaoMap" value="'+ conexao +'">';
				html += '<input type="hidden" id="tipoChaveMap'+ countMap +'" name="tipoChaveMap" value="'+ tipoChave +'">';
				html += '<input type="hidden" id="tabelaMap'+ countMap +'" name="tabelaMap" value="'+ tabela +'">';
				html += '<input type="hidden" id="campoChaveMap'+ countMap +'" name="campoChaveMap" value="'+ campoChave +'">';
				html += '<input type="hidden" id="scriptCargaMap'+ countMap +'" name="scriptCargaMap" value="'+ scriptCarga +'">';
				html += '<input type="hidden" id="situacaoMap'+ countMap +'" name="situacaoMap" value="'+ situacao +'">';
				html += '<input type="hidden" id="ultimaDataMap'+ countMap +'" name="ultimaDataMap" value="'+ ultimaData +'">';
				html += '<input type="hidden" id="ultimoCodigoMap'+ countMap +'" name="ultimoCodigoMap" value="'+ ultimoCodigo +'">';
					html += '<span id="spanMapSql'+ countMap +'" class="eachSpanMapSql" style="display: none;">';
						html += htmlMapSql;
					html += '</span>';
			html += '</td>';
		html += '</tr>';
		
		$(".usersListMap table tbody").append(html);
		
		countMap++;
		
		fecharMapeamento();
		
		$(".tbUsersListMap").click(acaoBotaoMapeamento);
	}
	else
	{
		return false;
	}
}

function editarHtmlMapeamento(mapIndice)
{
	var erro = 0;
	
	var txt = ''; 
	
	var htmlMapSql = '';
	
	$(".spansMapSql").each(function(){ htmlMapSql += $(this).html(); });
	
	var tipo 		  = $('input[name=rdoEntrada]:checked').val();
	var descricao 	  = $('#descricaoMap').val();
	var identificador = $('#identificadorMap').val();
	var conexao 	  = $('#conexaoMap').val();
	var tipoChave 	  = $('#tipoChaveMap').val();
	var tabela 		  = $('#tabelaMap').val();
	var campoChave 	  = $('#campoChaveMap').val();
	var scriptCarga	  = $('#scriptCargaMap').val();
	var ultimaData 	  = $('#ultimaData').val();
	var ultimoCodigo  = $('#ultimoCodigo').val();
	var situacao	  = $('input[name=rdoMapeamentoAtivo]:checked').val();
	
	if($.trim(descricao) == '')
	{
		erro++;
	}
	else
	{
		txt += 'Descrição: <b>' + descricao.substring(0, 50) + '...</b>';
	}
	
	if($.trim(descricao) == '')
	{
		erro++;
	}
	else
	{
		txt += ' - Identificador: <b>' + identificador + '</b>';
	}
	
	txt += (tipo == 'T') ? ' - Tipo de Mapeamento: <b>Entrada</b>' : ' - Tipo de Mapeamento: <b>Saída</b>';
	
	txt += (situacao == 'F') ? ' - <span style="color: #2b8300"><b>Ativo</b></span>.' : ' - <span style="color: #a6002f"><b>Inativo</b></span>.';
	
	if (erro == 0)
    {
		var html = '';
		
		html += '<td height="25" width="28px" align="center" valign="middle">';
			html += '<input type="checkbox" class="checkbox_map"' + 'name="checkbox_map_' + mapIndice + '" id="checkbox_map_' + mapIndice + '" value="' + mapIndice + '">';
		html += '</td>';
		html += '<td height="25" align="left" valign="middle">';
			html += '<label for="checkbox_map_'+ mapIndice +'">'+ txt +'</label>';
			html += '<input type="hidden" id="tipoMap'+ mapIndice +'" name="tipoMap" value="'+ tipo +'">';
			html += '<input type="hidden" id="descricaoMap'+ mapIndice +'" name="descricaoMap" value="'+ descricao +'">';
			html += '<input type="hidden" id="identificadorMap'+ mapIndice +'" name="identificadorMap" value="'+ identificador +'">';
			html += '<input type="hidden" id="conexaoMap'+ mapIndice +'" name="conexaoMap" value="'+ conexao +'">';
			html += '<input type="hidden" id="tipoChaveMap'+ mapIndice +'" name="tipoChaveMap" value="'+ tipoChave +'">';
			html += '<input type="hidden" id="tabelaMap'+ mapIndice +'" name="tabelaMap" value="'+ tabela +'">';
			html += '<input type="hidden" id="campoChaveMap'+ mapIndice +'" name="campoChaveMap" value="'+ campoChave +'">';
			html += '<input type="hidden" id="scriptCargaMap'+ mapIndice +'" name="scriptCargaMap" value="'+ scriptCarga +'">';
			html += '<input type="hidden" id="situacaoMap'+ mapIndice +'" name="situacaoMap" value="'+ situacao +'">';
			html += '<input type="hidden" id="ultimaDataMap'+ countMap +'" name="ultimaDataMap" value="'+ ultimaData +'">';
			html += '<input type="hidden" id="ultimoCodigoMap'+ countMap +'" name="ultimoCodigoMap" value="'+ ultimoCodigo +'">';
				html += '<span id="spanMapSql'+ mapIndice +'" class="eachSpanMapSql" style="display: none;">';
					html += htmlMapSql;
				html += '</span>';
		html += '</td>';
		
		$("#trMap_"+ mapIndice).html(html);
		
		fecharMapeamento();
		
		acaoBotaoMapeamento();
		
	}
	else
	{
		return false;
	}
}

function acaoBotaoMapeamento()
{
	var checar = 0;
	$(".checkbox_map:checked").each(function(){ checar++; });
	
    if(checar == 0)
    {
		$("#btnEditarMap").attr("disabled", true);
		
		$("#btnRemoverMap").attr("disabled", true);
    }
	else
	{
		$("#btnRemoverMap").removeAttr("disabled");
	}
    
    if(checar > 1)
    {
		$("#btnEditarMap").attr("disabled", true);
    }
	else if(checar < 2)
    {
		$("#btnEditarMap").removeAttr("disabled");
    }
    
    if (! $(".checkbox_map").is(':checked'))
    {
        $("#btnEditarMap").attr("disabled", true);
    }
}

function removerMapeamento()
{
	var count = 0;
	$(".checkbox_map:checked").each(function(){ count++ });
	
	if(count > 1)
	{
		var msg = 'Deseja realmente remover o Mapeamento?';
	}
	else
	{
		var msg = 'Deseja realmente remover os Mapeamentos?';
	}
	
	jConfirm(msg, 'Confirmação', function(r) {
        if (r == true)
        {
			$(".checkbox_map:checked").each(function(){ $("#trMap_" + $(this).val()).remove(); });
			
			acaoBotaoMapeamentoSql();
        }
		else
		{
			return false;
		}
    });	
}

function fecharMapeamento() 
{
    $("#janela_modal_mapeamento").fadeOut();
    $("#overlay_mapeamento").fadeOut();
}

function trocarMap()
{
    var aba = this.id;
    
    tabsMap.removeClass('in');
    $(tabsMap[aba]).addClass('in');
    
    divsMap.hide();
    $(divsMap[aba]).fadeIn('slow');
}

function inserirHtmlMapeamentoSql(scripts, sequencias, situacoes)
{
	if($.trim(scripts) != '' && $.trim(sequencias) != '' && $.trim(situacoes) != '')
	{
		for(var i = 0; i < scripts.length; i++)
		{
			script = scripts[i];
			sequencia = sequencias[i];
			situacao = situacoes[i];
			
			var txt = '';
			
			txt += script.substring(0, 30) + '...'
			
			txt += ' - Sequência: <b>' + sequencia + '</b>';
			
			txt += (situacao == 'F') ? ' - <span style="color: #2b8300"><b>Ativo</b></span>.' : ' - <span style="color: #a6002f"><b>Inativo</b></span>.';
				
			var html = '';
			
			html += '<tr id="trMapSql_'+ countMapSql +'">'; 
				html += '<td height="25" width="28px" align="center" valign="middle">';
					html += '<input type="checkbox" class="checkbox_map_sql"' + 'name="checkbox_map_sql_' + countMapSql + '" id="checkbox_map_sql_' + countMapSql + '" value="' + countMapSql + '">';
				html += '</td>';
				html += '<td height="25" align="left" valign="middle">';
					html += '<label for="checkbox_map_sql_'+ countMapSql +'">'+ txt +'</label>';
					html += '<span class="spansMapSql">';
						html += '<input type="hidden" id="scriptMapSql'+ countMapSql +'" name="scriptMapSql" value="'+ script +'">';
						html += '<input type="hidden" id="sequenciaMapSql'+ countMapSql +'" name="sequenciaMapSql" value="'+ sequencia +'">';
						html += '<input type="hidden" id="situacaoMapSql'+ countMapSql +'" name="situacaoMapSql" value="'+ situacao +'">';
					html += '</span>';
				html += '</td>';
			html += '</tr>';
			
			$(".usersListMapSql table tbody").append(html);
			
			countMapSql++;
		}
		
		$(".tbUsersListMapSql").click(acaoBotaoMapeamentoSql);
	}
}
 /* **************************************** *
				FIM MAPEAMENTO
 * **************************************** */

 
 
/* **************************************** *
					REGRAS
 * **************************************** */
function mostrarRegra()
{
	var regra = $("#tipoRegra").val();
	
	$(".tipo_regra").hide();
	$("#tipo_regra_" + regra).fadeIn('show');
}

function adicionarRegra()
{
	$.post(basepath + "scripts/adicionarRegra", 
		function(data){
		
			$("#janela_modal").remove();
			$("#overlay").remove();
			
			var overlay = '<div id="overlay"></div>';
			var overlayCSS = {'width' : pageWidth + 'px','height' : pageHeight + 'px'};
			
			var janela = '<div id="janela_modal"></div>';
			var janelaCSS = {'top' : '40%','left' : '50%','width' : '450px','height' : '250px','margin-left' : '-225px','margin-top' : '-125px', 'padding' : '15px 10px 10px 15px'};
			
			var btnFechar = '<a onClick="fechar()"><img id="btnFechar" src="' + basepath + 'www/imagem/close.png" alt="Fechar" title="Fechar" /></a>';
			var btnFecharCSS = {'position' : 'absolute','top' : '50%','left' : '50%','cursor' : 'pointer','margin-left' : '200px','margin-top' : '-130px'}
			
			var btnCancelar = '<input type="image" id="btn_cancelar" name="btn_cancelar" src="' + basepath + 'www/imagem/btn_cancelar.png" onClick="fechar()" />';
			var btnCancelaCSS = {'position' : 'absolute','top' : '100%','left' : '100%','margin-left' : '-235px','margin-top' : '-45px','width' : '100px'}
			
			var btnOK = '<input type="image" id="btn_enviar" name="btn_enviar" src="' + basepath + 'www/imagem/btn_ok.png" onClick="adicionarHtmlRegra()" />';
			var btnOKCSS = {'position' : 'absolute','top' : '100%','left' : '0%','margin-left' : '355px','margin-top' : '-45px','width' : '100px'}
			
			$("body").append(overlay);
			$("body").append(janela);
			$("#overlay").css(overlayCSS).fadeIn('slow', function(){
				
				$("#janela_modal").append(data);
				
				$("#janela_modal").append(btnFechar);
				$("#btnFechar").css(btnFecharCSS).fadeIn("slow");
				
				$("#janela_modal").append(btnCancelar);
				$("#btn_cancelar").css(btnCancelaCSS);
				
				$("#janela_modal").append(btnOK);
				$("#btn_enviar").css(btnOKCSS);
				
				$("#janela_modal").css(janelaCSS).fadeIn("slow");
				
				$("input[name='txtHoraExecucao']").mask("99:99:99");
				$('#txtPeriodicidade').mask("99:99");
			});
			
			return false;
			
	});
}
function removerRegra()
{
	var count = 0;
	$(".checkbox:checked").each(function(){ count++ });
	
	if(count > 1)
	{
		var msg = 'Deseja realmente remover as regras?';
	}
	else
	{
		var msg = 'Deseja realmente remover a regra?';
	}
	
	jConfirm(msg, 'Confirmação', function(r) {
        if (r == true)
        {
			$(".checkbox:checked").each(function(){ $("#trRegra_" + $(this).val()).remove(); });
			
			acaoBotaoRegra();
        }
		else
		{
			return false;
		}
    });
}

function editarRegra()
{
	var regraIndice = $(".checkbox:checked").val();
	var codigo = $("#codigoRegra" + regraIndice).val();
	var regra = $("#regra" + regraIndice).val();
	var hora = $("#hora" + regraIndice).val();
	var mes = $("#mes" + regraIndice).val();
	var semana = $("#semana" + regraIndice).val();
	var pooling = $("#pooling" + regraIndice).val();
	var situacao = $("#situacao" + regraIndice).val();
	
	$.post(basepath + "scripts/adicionarRegra", 
		function(data){
		
			$("#janela_modal").remove();
			$("#overlay").remove();
			
			var overlay = '<div id="overlay"></div>';
			var overlayCSS = {'width' : pageWidth + 'px','height' : pageHeight + 'px'};
			
			var janela = '<div id="janela_modal"></div>';
			var janelaCSS = {'top' : '40%','left' : '50%','width' : '450px','height' : '250px','margin-left' : '-225px','margin-top' : '-125px', 'padding' : '15px 10px 10px 15px'};
			
			var btnFechar = '<a onClick="fechar()"><img id="btnFechar" src="' + basepath + 'www/imagem/close.png" alt="Fechar" title="Fechar" /></a>';
			var btnFecharCSS = {'position' : 'absolute','top' : '50%','left' : '50%','cursor' : 'pointer','margin-left' : '200px','margin-top' : '-130px'}
			
			var btnCancelar = '<input type="image" id="btn_cancelar" name="btn_cancelar" src="' + basepath + 'www/imagem/btn_cancelar.png" onClick="fechar()" />';
			var btnCancelaCSS = {'position' : 'absolute','top' : '100%','left' : '100%','margin-left' : '-235px','margin-top' : '-45px','width' : '100px'}
			
			var btnOK = '<input type="image" id="btn_enviar" name="btn_enviar" src="' + basepath + 'www/imagem/btn_alterar.png" onClick="editarHtmlRegra('+ regraIndice +',\''+ codigo +'\')" />';
			var btnOKCSS = {'position' : 'absolute','top' : '100%','left' : '0%','margin-left' : '355px','margin-top' : '-45px','width' : '100px'}
			
			$("body").append(overlay);
			$("body").append(janela);
			$("#overlay").css(overlayCSS).fadeIn('slow', function(){
			
				$("#janela_modal").append(data);
				
				$("#janela_modal").append(btnFechar);
				$("#btnFechar").css(btnFecharCSS).fadeIn("slow");
				
				$("#janela_modal").append(btnCancelar);
				$("#btn_cancelar").css(btnCancelaCSS);
				
				$("#janela_modal").append(btnOK);
				$("#btn_enviar").css(btnOKCSS);
				
				$("#tipoRegra").val(regra);
				$(".tipo_regra").hide();
				$("#tipo_regra_" + regra).fadeIn('show');
				
				$("#h2Regra").html('Alterar Regra');
				
				if(regra == 1)
				{
					$("#txtHoraExecucaoRegra1").val(hora);
				}
				else if(regra == 2)
				{
					$("#txtDiaMesExecucao").val(mes);
					$("#txtHoraExecucaoRegra2").val(hora);
				}
				else if(regra == 3)
				{
					$("#txtDiaSemanaExecucao").val(semana);
					$("#txtHoraExecucaoRegra3").val(hora);
				}
				else if(regra == 4)
				{
					$("#txtPeriodicidade").val(pooling);
				}
				
				if(situacao == 'F')
					$("#rdoAtivoS").attr("checked", true);
				else
					$("#rdoAtivoN").attr("checked", true);
				
				$("#janela_modal").css(janelaCSS).fadeIn("slow");
				
				$("input[name='txtHoraExecucao']").mask("99:99:99");
				$('#txtPeriodicidade').mask("99:99");
			});
			
			return false;
			
	});
}

function editarHtmlRegra(indice, codigo)
{
	var erro = 0;
	
	var hora = '';
	var mes = '';
	var semana = '';
	var pooling = '';
	var txt = '';	
	
	var tipoRegra = $("#tipoRegra").val();
	var nomeRegra = $("#tipoRegra option:selected").html();

	if(tipoRegra == 1)
	{
		hora = $("#txtHoraExecucaoRegra1").val();
		
		txt += 'Hora: <b>' + hora + '</b>';
		
		if(hora == '') erro++
	}
	else if(tipoRegra == 2)
	{
		mes = $("#txtDiaMesExecucao").val();
		hora = $("#txtHoraExecucaoRegra2").val();
		
		txt += 'Dia do Mês: <b>' + mes + '</b>';
		txt += ' - Hora: <b>' + hora + '</b>';
		
		if($.trim(mes) == '') erro++
		if(hora == '') erro++
	}
	else if(tipoRegra == 3)
	{
		semana = $("#txtDiaSemanaExecucao").val();
		hora = $("#txtHoraExecucaoRegra3").val();
		
		var diaSemana = $("#txtDiaSemanaExecucao option:selected").html();
		
		txt += 'Dia da Semana: <b>' + diaSemana + '</b>';
		txt += ' - Hora: <b>' + hora + '</b>';
		
		if(hora == '') erro++
	}
	else if(tipoRegra == 4)
	{
		pooling = $("#txtPeriodicidade").val();
		
		txt += 'A cada <b>' + pooling + '</b> minuto(s)';
		
		if($.trim(pooling) == '') erro++
	}
	
	if(erro == 0)
	{
		var situacao = $('input[name=rdoAtivo]:checked').val();
		
		txt += (situacao == 'F') ? ' - <span style="color: #2b8300"><b>Ativo</b></span>.' : ' - <span style="color: #a6002f"><b>Inativo</b></span>.';
		
		var html = '';

			html += '<td height="25" width="28px" align="center" valign="middle">';
				html += '<input type="checkbox" class="checkbox"' + 'name="checkbox_' + indice + '" id="checkbox_' + indice + '" value="' + indice + '">';
			html += '</td>';
			html += '<td height="25" align="left" valign="middle">';
				html += '<label for="checkbox_' + indice + '"><b>Regra '+ nomeRegra +'</b> - '+ txt +'</label>';
				html += '<input type="hidden" id="codigoRegra'+indice+'" name="codigoRegra" value="'+codigo+'">';
				html += '<input type="hidden" id="regra'+indice+'" name="regra" value="'+ tipoRegra +'">';
				html += '<input type="hidden" id="hora'+indice+'" name="hora" value="'+ hora +'">';
				html += '<input type="hidden" id="mes'+indice+'" name="mes" value="'+ mes +'">';
				html += '<input type="hidden" id="semana'+indice+'" name="semana" value="'+ semana +'">';
				html += '<input type="hidden" id="pooling'+indice+'" name="pooling" value="'+ pooling +'">';
				html += '<input type="hidden" id="situacao'+indice+'" name="situacao" value="'+ situacao +'">';
			html += '</td>';
		
		$("#trRegra_"+ indice).html(html);
		
		fechar();
		
		acaoBotaoRegra();
	}
	else
	{
		return false;
	}
}

var countRegra = 0;
function adicionarHtmlRegra()
{
	var erro = 0;
	
	var hora = '';
	var mes = '';
	var semana = '';
	var pooling = '';
	var txt = '';	
	
	var tipoRegra = $("#tipoRegra").val();
	var nomeRegra = $("#tipoRegra option:selected").html();

	if(tipoRegra == 1)
	{
		hora = $("#txtHoraExecucaoRegra1").val();
		
		txt += 'Hora: <b>' + hora + '</b>';
		
		if(hora == '') erro++
	}
	else if(tipoRegra == 2)
	{
		mes = $("#txtDiaMesExecucao").val();
		hora = $("#txtHoraExecucaoRegra2").val();
		
		txt += 'Dia do Mês: <b>' + mes + '</b>';
		txt += ' - Hora: <b>' + hora + '</b>';
		
		if($.trim(mes) == '') erro++
		if(hora == '') erro++
	}
	else if(tipoRegra == 3)
	{
		semana = $("#txtDiaSemanaExecucao").val();
		hora = $("#txtHoraExecucaoRegra3").val();
		
		var diaSemana = $("#txtDiaSemanaExecucao option:selected").html();
		
		txt += 'Dia da Semana: <b>' + diaSemana + '</b>';
		txt += ' - Hora: <b>' + hora + '</b>';
		
		if(hora == '') erro++
	}
	else if(tipoRegra == 4)
	{
		pooling = $("#txtPeriodicidade").val();
		
		txt += 'A cada <b>' + pooling + '</b> minuto(s)';
		
		if($.trim(pooling) == '') erro++
	}
	
	if(erro == 0)
	{
		var situacao = $('input[name=rdoAtivo]:checked').val();
		
		txt += (situacao == 'F') ? ' - <span style="color: #2b8300"><b>Ativo</b></span>.' : ' - <span style="color: #a6002f"><b>Inativo</b></span>.';
		
		var html = '';
		
		html += '<tr id="trRegra_'+ countRegra +'">'; 
			html += '<td height="25" width="28px" align="center" valign="middle">';
				html += '<input type="checkbox" class="checkbox"' + 'name="checkbox_' + countRegra + '" id="checkbox_' + countRegra + '" value="' + countRegra + '">';
			html += '</td>';
			html += '<td height="25" align="left" valign="middle">';
				html += '<label for="checkbox_' + countRegra + '"><b>Regra '+ nomeRegra +'</b> - '+ txt +'</label>';
				html += '<input type="hidden" id="codigoRegra'+countRegra+'" name="codigoRegra" value="">';
				html += '<input type="hidden" id="regra'+countRegra+'" name="regra" value="'+ tipoRegra +'">';
				html += '<input type="hidden" id="hora'+countRegra+'" name="hora" value="'+ hora +'">';
				html += '<input type="hidden" id="mes'+countRegra+'" name="mes" value="'+ mes +'">';
				html += '<input type="hidden" id="semana'+countRegra+'" name="semana" value="'+ semana +'">';
				html += '<input type="hidden" id="pooling'+countRegra+'" name="pooling" value="'+ pooling +'">';
				html += '<input type="hidden" id="situacao'+countRegra+'" name="situacao" value="'+ situacao +'">';
			html += '</td>';
		html += '</tr>';
		
		$(".usersListRegra table tbody").append(html);
		
		countRegra++;
		
		fechar();
	}
	else
	{
		return false;
	}
}

function acaoBotaoRegra()
{
	var checar = 0;
	$(".checkbox:checked").each(function(){ checar++; });
	
    if(checar == 0)
    {
		$("#btnEditar").attr("disabled", true);
		
		$("#btnRemover").attr("disabled", true);
    }
	else
	{
		$("#btnRemover").removeAttr("disabled");
	}
    
    if(checar > 1)
    {
		$("#btnEditar").attr("disabled", true);
    }
	else if(checar < 2)
    {
		$("#btnEditar").removeAttr("disabled");
    }
    
    if (! $(".checkbox").is(':checked'))
    {
        $("#btnEditar").attr("disabled", true);
    }
}

function fechar() 
{
    $("#janela_modal").fadeOut();
    $("#overlay").fadeOut();
}
/* **************************************** *
				FIM	REGRAS
 * **************************************** */
 
 
function mostrarEntrada()
{
	var entrada = $('input[name=rdoEntrada]:checked').val();
	
	if(entrada == 'T')
	{
		$("#tbNomeTabela").hide();
		$("#divCampoTipoChave, #tbCampoTipoChave").fadeIn('show');
		
		$("#scriptCargaMap").removeAttr('disabled');
	}
	else
	{
		$("#divCampoTipoChave, #tbCampoTipoChave").hide();
		$("#tbNomeTabela").fadeIn('show');

		$("#scriptCargaMap").val('');
		$("#scriptCargaMap").attr('disabled', true);
	}
}

function mostrarUltimo()
{
	var tipoChave = $('#tipoChaveMap').val();

	if(tipoChave == 1)
	{
		$("#tbUltimaData").hide();
		$("#ultimaData").val('');
		$("#tbUltimoCodigo").fadeIn('show');
	}
	else if(tipoChave == 2)
	{
		$("#tbUltimoCodigo").hide();
		$("#ultimoCodigo").val('');
		$("#tbUltimaData").fadeIn('show');
	}
	else
	{
		$("#tbUltimoCodigo, #tbUltimaData").hide();
		$("#ultimaData").val('');
		$("#ultimoCodigo").val('');
	}
}
 
function SomenteNumero(e)
{
	var tecla = (window.event) ? event.keyCode : e.which; 
	
	if((tecla > 47 && tecla < 58)) 
	{
		return true;
	} 
	else 
	{
		if (tecla == 8 || tecla == 0) 
			return true;
		else 
			return false;
	}
}

function trocar()
{
    var aba = this.id;
    
    tabs.removeClass('inDetail');
    $(tabs[aba]).addClass('inDetail');
    
    divs.hide();
    $(divs[aba]).fadeIn('slow');
}

function excluir()
{
    var script = $('#gridScript').jqGrid('getGridParam','selrow');
   
    if(script)
    {
		//
		jConfirm("Deseja realmente excluir o Script?", 'Confirmação!',
		function(r) {
			if (r == true)
			{
				$.post(basepath + "scripts/deletarScript", {
					script  : script
				}, function(data){
					if(data == 1)
					{
						$("#gridScript").trigger("reloadGrid");
						
						jAlert('Script excluído com sucesso!', 'Alerta!');
					}
					else jAlert('Ocorreu um erro:\n ' + data, 'Alerta de erro!');
				});
			}
			else
			{
				return false;
			}
		});
		//
    }
    else
    {
        jAlert('Selecionar um Script para exclusão!', 'Alerta!', function() { return false; });
    }
}

function incluir()
{
    window.location.href = basepath + 'scripts/cadastroscript';
}

function alterar()
{
    var script = $('#gridScript').jqGrid('getGridParam','selrow');

    if(script) 
	{
        window.location.href = basepath + 'scripts/alterascript/' + script;
    } 
	else 
	{
        jAlert('Selecionar um Script para alteração!', 'Alerta!', function() { return false; });
    }
}

function voltar()
{
    window.location.href = basepath + 'scripts/listarscripts';
}

function init()
{
	$(".tbUsersListRegra").click(acaoBotaoRegra);
	$(".tbUsersListMap").click(acaoBotaoMapeamento);

	$('#txtDataInicio').mask("99/99/9999 99:99:99");
    $('#txtDataFinal').mask("99/99/9999 99:99:99");
	
	pageWidth = $(window).width();
    pageHeight = $(window).height();
	
	tabs = $(".tabsDetail").children('ul').children();
    divs = $(".tabsDetail").children('div');
    $(".abaTrocar").click(trocar);
	
	var pathScripts = basepath + "scripts/listarscripts";
	$('#menuContentLeft a').each(function() { if(pathScripts == $(this).attr("href")) { $(this).css({'color' : '#4084b8', 'font-weight' : 'bold', 'font-style' : 'italic'}); } });
}

$(document).ready(init);